Update context
curl --request PATCH \
--url https://console.neuronsearchlab.com/api/context/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contextName": "<string>",
"contextKey": "<string>",
"contextType": "<string>",
"description": "<string>",
"modelFamilyId": 123,
"architecture_override": "<string>",
"jsonData": {},
"activeTenantModelId": 123
}
'import requests
url = "https://console.neuronsearchlab.com/api/context/{id}"
payload = {
"contextName": "<string>",
"contextKey": "<string>",
"contextType": "<string>",
"description": "<string>",
"modelFamilyId": 123,
"architecture_override": "<string>",
"jsonData": {},
"activeTenantModelId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contextName: '<string>',
contextKey: '<string>',
contextType: '<string>',
description: '<string>',
modelFamilyId: 123,
architecture_override: '<string>',
jsonData: {},
activeTenantModelId: 123
})
};
fetch('https://console.neuronsearchlab.com/api/context/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.neuronsearchlab.com/api/context/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contextName' => '<string>',
'contextKey' => '<string>',
'contextType' => '<string>',
'description' => '<string>',
'modelFamilyId' => 123,
'architecture_override' => '<string>',
'jsonData' => [
],
'activeTenantModelId' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.neuronsearchlab.com/api/context/{id}"
payload := strings.NewReader("{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://console.neuronsearchlab.com/api/context/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.neuronsearchlab.com/api/context/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}Contexts
Update context
Update context.
PATCH
/
api
/
context
/
{id}
Update context
curl --request PATCH \
--url https://console.neuronsearchlab.com/api/context/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contextName": "<string>",
"contextKey": "<string>",
"contextType": "<string>",
"description": "<string>",
"modelFamilyId": 123,
"architecture_override": "<string>",
"jsonData": {},
"activeTenantModelId": 123
}
'import requests
url = "https://console.neuronsearchlab.com/api/context/{id}"
payload = {
"contextName": "<string>",
"contextKey": "<string>",
"contextType": "<string>",
"description": "<string>",
"modelFamilyId": 123,
"architecture_override": "<string>",
"jsonData": {},
"activeTenantModelId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contextName: '<string>',
contextKey: '<string>',
contextType: '<string>',
description: '<string>',
modelFamilyId: 123,
architecture_override: '<string>',
jsonData: {},
activeTenantModelId: 123
})
};
fetch('https://console.neuronsearchlab.com/api/context/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.neuronsearchlab.com/api/context/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'contextName' => '<string>',
'contextKey' => '<string>',
'contextType' => '<string>',
'description' => '<string>',
'modelFamilyId' => 123,
'architecture_override' => '<string>',
'jsonData' => [
],
'activeTenantModelId' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.neuronsearchlab.com/api/context/{id}"
payload := strings.NewReader("{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://console.neuronsearchlab.com/api/context/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.neuronsearchlab.com/api/context/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"contextName\": \"<string>\",\n \"contextKey\": \"<string>\",\n \"contextType\": \"<string>\",\n \"description\": \"<string>\",\n \"modelFamilyId\": 123,\n \"architecture_override\": \"<string>\",\n \"jsonData\": {},\n \"activeTenantModelId\": 123\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Platform API key issued from Console > Platform API Keys. Format: nsl__.
Path Parameters
Body
application/json
Operator-facing context name.
Optional stable key for application or operational use.
Optional context type or surface category.
Enabled model family. Null uses the default family.
Optional retrieval architecture. Must be compatible with the selected family.
Available options:
content_embedding, two_tower, gsasrec, semantic_id Snake-case alias for architectureOverride.
A ready, deployed model owned by this tenant. Catalog recommenders currently support personalized discovery and email digest contexts.
Response
Updated context
The response is of type object.
Was this page helpful?

